Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.management.jca.system.mbeans
Interface STCManagedConnectionMonitorBean

All Known Implementing Classes:
  STCManagedConnectionMonitor

public interface STCManagedConnectionMonitorBean

Method Summary
`void` | `disable()`
`void` | `enable()`
`java.lang.Integer` | `getCurrentConnections()`
`java.lang.Integer` | `getMaxConnections()`
`java.lang.Integer` | `getMinConnections()`
`java.lang.String` | `getName()`
`java.lang.Boolean` | `isEnabled()`
`void` | `sendAlert()`
`void` | `sendAlert(java.lang.String alertMsg, int severity)`
`void` | `sendAlert(java.lang.String alertMsgCode, java.lang.String[] alertMsgCodeArgs, java.lang.String alertMsg, int severity)`
`void` | `setCurrentConnections(int curConns)`
`void` | `setMaxConnections(int maxConns)`
`void` | `setMinConnections(int minConns)`
`void` | `setName(java.lang.String name)`

Method Detail

### setMinConnections

    public void setMinConnections(int minConns)

### setMaxConnections

    public void setMaxConnections(int maxConns)

### setCurrentConnections

    public void setCurrentConnections(int curConns)

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### getMinConnections

    public java.lang.Integer getMinConnections()

### getMaxConnections

    public java.lang.Integer getMaxConnections()

### getCurrentConnections

    public java.lang.Integer getCurrentConnections()

### enable

    public void enable()

### disable

    public void disable()

### isEnabled

    public java.lang.Boolean isEnabled()

### sendAlert

    public void sendAlert()

### sendAlert

    public void sendAlert(java.lang.String alertMsg,
                          int severity)

### sendAlert

    public void sendAlert(java.lang.String alertMsgCode,
                          java.lang.String[] alertMsgCodeArgs,
                          java.lang.String alertMsg,
                          int severity)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD